Skip to main content
GET
List shadow experiment targets

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

Project identifier.

endpointId
string
required

Endpoint identifier.

experimentId
string
required

Shadow experiment identifier.

Query Parameters

limit
integer

Maximum number of targets to return. Max 500, defaults to 50.

after
string

Cursor from a previous shadow experiment target list response.

Response

OK

Response containing shadow experiment targets and pagination metadata.

data
object[]
required

Target deployments under the shadow experiment.

object
any
required

Object type. Always list.

next_cursor
string

Cursor for the next page. Null if there are no more results.